NotificationChannelType (gCube Social Networking Library 1.0.2-SNAPSHOT API)
Date: 2013-04-03

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.gcube.portal.databook.shared
Enum NotificationChannelType

    java.lang.Object
      java.lang.Enum<NotificationChannelType>
          org.gcube.portal.databook.shared.NotificationChannelType

All Implemented Interfaces:
  Serializable, Comparable<NotificationChannelType>

    public enum NotificationChannelType

extends Enum<NotificationChannelType>

Version:
  1.0 January 2012
Author:
  Massimiliano Assante ISTI-CNR

Enum Constant Summary
`EMAIL` EMAIL
`PORTAL` PORTAL
`TWITTER` TWITTER

Method Summary
`static NotificationChannelType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static NotificationChannelType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### PORTAL

    public static final NotificationChannelType PORTAL

  PORTAL

### EMAIL

    public static final NotificationChannelType EMAIL

  EMAIL

### TWITTER

    public static final NotificationChannelType TWITTER

  TWITTER

Method Detail

### values

    public static NotificationChannelType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (NotificationChannelType c : NotificationChannelType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static NotificationChannelType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2013. All Rights Reserved.